Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::Registry`

## Overview

    interface Registry

The IceGrid registry provides a registry object to allow clients or administrative clients to create sessions directly with the registry.

### See Also

`Session`, `AdminSession`

### Operation Index

`createSession`

  Create a client session.

`createAdminSession`

  Create an administrative session.

`createSessionFromSecureConnection`

  Create a client session from a secure connection.

`createAdminSessionFromSecureConnection`

  Create an administrative session from a secure connection.

`getSessionTimeout`

  Get the session timeout.

## `createSession`

    Session* createSession(string userId,
        string password)
        throws
    	PermissionDeniedException;

Create a client session.

### Parameters

`userId`

  The user id.

`password`

  The password for the given user id.

### Return Value

A proxy for the newly created session.

### Exceptions

`PermissionDeniedException`

  Raised if the password for the given user id is not correct, or if the user is not allowed access.

### See Also

`Session`, `::Glacier2::PermissionsVerifier`

## `createAdminSession`

    AdminSession* createAdminSession(string userId,
        string password)
        throws
    	PermissionDeniedException;

Create an administrative session.

### Parameters

`userId`

  The user id.

`password`

  The password for the given user id.

### Return Value

A proxy for the newly created session.

### Exceptions

`PermissionDeniedException`

  Raised if the password for the given user id is not correct, or if the user is not allowed access.

### See Also

`Session`, `::Glacier2::PermissionsVerifier`

## `createSessionFromSecureConnection`

    Session* createSessionFromSecureConnection()
        throws
    	PermissionDeniedException;

Create a client session from a secure connection.

### Parameters

`userId`

  The user id.

`password`

  The password for the given user id.

### Return Value

A proxy for the newly created session.

### Exceptions

`PermissionDeniedException`

  Raised if the password for the given user id is not correct, or if the user is not allowed access.

### See Also

`Session`, `::Glacier2::SSLPermissionsVerifier`

## `createAdminSessionFromSecureConnection`

    AdminSession* createAdminSessionFromSecureConnection()
        throws
    	PermissionDeniedException;

Create an administrative session from a secure connection.

### Return Value

A proxy for the newly created session.

### Exceptions

`PermissionDeniedException`

  Raised if the password for the given user id is not correct, or if the user is not allowed access.

### See Also

`Session`, `::Glacier2::SSLPermissionsVerifier`

## `getSessionTimeout`

    int getSessionTimeout();

Get the session timeout. If a client or administrative client doesn't call the session keepAlive method in the time interval defined by this timeout, IceGrid might reap the session.

### Return Value

The timeout in milliseconds.

### See Also

`Session::keepAlive`, `AdminSession::keepAlive`

<<< Previous | Home | Next >>>
`IceGrid::RandomLoadBalancingPolicy` | Up | `IceGrid::RegistryObserver`